BSG utilizes HTTP cookies (and similar or complementary technologies) to 1) make this website safe, functional, and accessible (through the use of mandatory cookies) and 2) understand how you use our website (through the use of optional cookies) in order to improve your experience and to provide you with personalized content.

The information in the cookie text files may be related to your personal preferences or your device and is intended to make the site operate according to your expectations. The information contained in cookies does not usually identify your identity directly but is helpful in providing you with a more personalized user experience.

In accordance with the requirements of the General Data Protection Regulation (GDPR) privacy and security law that governs how the personal data of individuals in the EU may be processed and transferred, we provide you the possibility to prohibit the use of certain types of cookies when you use our website.

Read our Cookie Notice and the Privacy Policy for detailed information on how BGS collects and uses cookies. Please note that prohibiting the use of certain types of cookies may affect your interaction with the website and limit the accessibility of services we offer you. Choose the appropriate category below to learn more and to disable cookies.

Accept All cookies*
*Recommended for comfortable use of the site
Accept only necessary cookies
Accept only selected cookies
Necessary cookies
Social media
Analytics
Marketing

BSG migrated to the new DevPortal
to ship the latest One API versions faster

Use it for up-to-date endpoints, guides, and changelogs

Go to the new DevPortal
Developer Docs
Number Intelligence

Get message information

To get message information, make a request to this URL:

GET https://api.bsg.world/rest/stat/file/id/{file_key}/format/{file_format}

Request parameters

Parameter Required Type Description
file_key Yes integer The name of the file is returned in the Request to download statistics method .
file_format Yes integer Valid options: json, xml, csv (only available when the message_type parameter is selected)

Example of a response in case of a successful request

SMS messages only:


{
    "error": 0,
    [
        {
            "message_ID": 1529112192,
            "message_type": "sms",
            "msisdn": 380505142320,
            "Country_name": "Ukraine",
            "brand_name": "Vodafone - VF Ukraine JSC",
            "mcc": "255",
            "mnc": "01",
            "originator": "testsms",
            "price": "0.0000000 EUR",
            "Incoming date": "2020-10-22 17: 28: 45",
            "Sending date": "2020-10-22 17: 28: 45",
            "DLR Date": "2020-10-22 17: 28: 45",
            "Status": "Delivered",
            "body": "testing message"
        },
        {
            "similar data for another message_ID
        }
    ]
}

One of the messages is HLR:


{
    "error": 0,
[
        {
            "message_ID": 1529112192,
            "message_type": "sms",
            "msisdn": 380505142320,
            "Country_name": "Ukraine",
            "brand_name": "Vodafone - VF Ukraine JSC",
            "mcc": "255",
            "mnc": "01",
            "originator": "testsms",
            "price": "0.0000000 EUR",
            "Incoming date": "2020-10-22 17: 28: 45",
            "Sending date": "2020-10-22 17: 28: 45",
            "DLR Date": "2020-10-22 17: 28: 45",
            "Status": "Delivered",
            "body": "testing message"
        },
        {
            "message_ID": 1529112192,
            "message_type": "hlr",
            "msisdn": 380505142320,
            "Country_name": "Ukraine",
            "brand_name": "Vodafone - VF Ukraine JSC",
            "mcc": "255",
            "mnc": "01",
            "originator": "HLR",
            "price": "0.0000000 EUR",
            "Incoming date": "2020-10-22 17: 28: 45",
            "Sending date": "2020-10-22 17: 28: 45",
            "DLR Date": "2020-10-22 17: 28: 45",
            "Status": "Delivered"
"body": {
                "Country_name": "Ukraine"
"Brand": "Kyivstar"
"Operator": "Kyivstar GSM JSC"
"MCC": 255
"MNC": 03
"Status": "Active"
"IMSI": 255039900000000
"Ported": 1
"Roaming": 0
            }
        }
    ]
}

In the case of message_type Viber, the response may include alternative SMS data. The data is the same as for a regular SMS report.


{
    "error": 0,
    "message_data": [
        {
            "message_ID": 1529112192,
            "message_type": "sms",
            "msisdn": 380505142320,
            "Country_name": "Ukraine",
            "brand_name": "Vodafone - VF Ukraine JSC",
            "mcc": "255",
            "mnc": "01",
            "originator": "testsms",
            "price": "0.0000000 EUR",
            "Incoming date": "2020-10-22 17: 28: 45",
            "Sending date": "2020-10-22 17: 28: 45",
            "DLR Date": "2020-10-22 17: 28: 45",
            "Status": "Delivered",
            "body": "testing message"
        },
        {
            "message_ID": 1529112193,
            "message_type": "hlr",
            "msisdn": 380505142320,
            "Country_name": "Ukraine",
            "brand_name": "Vodafone - VF Ukraine JSC",
            "mcc": "255",
            "mnc": "01",
            "originator": "HLR",
            "price": "0.0000000 EUR",
            "Incoming date": "2020-10-22 17: 28: 45",
            "Sending date": "2020-10-22 17: 28: 45",
            "DLR Date": "2020-10-22 17: 28: 45",
            "Status": "Delivered",
            "body": {
                "Country_name": "Ukraine",
                "Brand": "Kyivstar",
                "Operator": "Kyivstar GSM JSC",
                "MCC": "255",
                "MNC": "03",
                "Status": "Active",
                "IMSI": 255039900000000,
                "Ported": 1,
                "Roaming": 0
            }
        },
        {
            "message_ID": 1529112194,
            "message_type": "viber",
            "msisdn": 380505142320,
            "Country_name": "Ukraine",
            "brand_name": "Vodafone - VF Ukraine JSC",
            "mcc": "255",
            "mnc": "01",
            "originator": "testsms",
            "price": "0.0000000 EUR",
            "Incoming date": "2020-10-22 17: 28: 45",
            "Sending date": "2020-10-22 17: 28: 45",
            "DLR Date": "2020-10-22 17: 28: 45",
            "Status": "not-viber-user",
            "body": "testing message",
            "img": "https: //site.com/image.png",
            "Caption": "BUY!",
            "Action": "https: //site.com/buy.html",
            "alternativeSMS": {
                "message_ID": 1529112195,
                "message_type": "sms",
                "msisdn": 380505142320,
                "Country_name": "Ukraine",
                "brand_name": "Vodafone - VF Ukraine JSC",
                "mcc": "255",
                "mnc": "01",
                "originator": "testsms",
                "price": "0.0000000 EUR",
                "Incoming date": "2020-10-22 17: 28: 45",
                "Sending date": "2020-10-22 17: 28: 45",
                "DLR Date": "2020-10-22 17: 28: 45",
                "Status": "Delivered",
                "body": "testing message for Viber undeliv"
            }
        }
    ]
}

Interested in a special offer?

Ready to reach further?
Let’s talk

I agree to BSG privacy policy
Submit

Useful Materials

Apple RCS on iPhone: What Changes for Business Messaging in EU and UK

Apple RCS is live on iPhone. Which EU and UK carriers support it and how to plan campaigns with SMS fallback.

Sender ID Registration in the EU and UK: Why Your SMS Gets Filtered

Why unregistered senders get filtered in the EU and UK, and what each country requires for sender ID registration.

RCS in Brazil: Carriers, Coverage and What Works for Brands in 2026

Vivo, Claro and TIM coverage, iPhone status, where RCS beats SMS in Brazil and how to launch with SMS fallback.